列出 authenticationContextClassReferences
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索 authenticationContextClassReference 对象 的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Policy.Read.ConditionalAccess、Policy.ReadWrite.ConditionalAccess
委派(个人 Microsoft 帐户)
不支持。
应用程序
Policy.Read.ConditionalAccess、Policy.ReadWrite.ConditionalAccess
HTTP 请求
GET /identity/conditionalAccess/authenticationContextClassReferences
可选的查询参数
此方法支持 $filter 和 $select OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
持有者 {token}
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK authenticationContextClassReference 对象集合。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/identity/conditionalAccess/authenticationContextClassReferences
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var authenticationContextClassReference = await graphClient.Identity.ConditionalAccess.AuthenticationContextClassReferences["{authenticationContextClassReference-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let authenticationContextClassReference = await client.api('/identity/conditionalAccess/authenticationContextClassReferences/c1')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identity/conditionalAccess/authenticationContextClassReferences/c1"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphAuthenticationContextClassReference *authenticationContextClassReference = [[MSGraphAuthenticationContextClassReference alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AuthenticationContextClassReference authenticationContextClassReference = graphClient.identity().conditionalAccess().authenticationContextClassReferences("c1")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Identity().ConditionalAccess().AuthenticationContextClassReferences().Get()
Import-Module Microsoft.Graph.Identity.SignIns
Get-MgIdentityConditionalAccessAuthenticationContextClassReference
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。所有属性都将通过实际调用返回。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#/conditionalAccess/authenticationContextClassReferences",
"value": [
{
"id": "c1",
"displayName": "Contoso trusted locations",
"description": "Access is only allowed from trusted locations",
"isAvailable": true
}
]
}